Subject: bug#17497: The text-mode menu looks very broken in emacs-24

From: Eli Zaretskii <[email-masked]>
Date: Wed, 18 Mar 2015 18:40:02 +0200

> Date: Wed, 18 Mar 2015 11:45:17 +0000
> From: Martin Trojer <[email-masked]>
> 
> > I don't think it's memory corruption.  I suspect the problem is
> > related to the different ways cmgoto chooses to get to the specified
> > screen coordinates.  If someone on the affected systems could tweak
> > cmgoto such that only the direct move is used, i.e. this code:
> >
> >      p = (dcm == tty->Wcm->cm_habs
> >           ? tgoto (dcm, row, col)
> >           : tgoto (dcm, col, row));
> >      emacs_tputs (tty, p, 1, cmputc);
> >      curY (tty) = row, curX (tty) = col;
> >
> > then perhaps we could see if my suspicions are in the right direction.
> 
> Hi Eli,
> I just applied this patch trying to solve a different but related issue (https://www.virtualbox.org/ticket/13687).
> I am happy to report that applying this patch completely solved the redrawing issues I was experiencing!

You don't quote the person who wrote the above, so I need to ask you
who wrote the code.  We need to know to whom to attribute it.

Also, I'd be happier if someone could explain why this is the the
right thing to do in that place.

Thanks.